unit udatenfeld;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Buttons;

type

  { Tfdatenfeld }

  Tfdatenfeld = class(TForm)
    BitBtn1: TBitBtn;
    bdatenfeld: TButton;
    btauschen: TButton;
    b_komponentenliste: TButton;
    b_komp_ausgeben: TButton;
    e_i: TEdit;
    e_j: TEdit;
    e_a: TEdit;
    e_b: TEdit;
    e_komp_ausgeben: TEdit;
    e_index1: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    lb_komponentenliste: TListBox;
    l_index1: TLabel;
    lbdatenfeld: TListBox;
    procedure bdatenfeldClick(Sender: TObject);
    procedure btauschenClick(Sender: TObject);
    procedure b_komponentenlisteClick(Sender: TObject);
    procedure b_komp_ausgebenClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  fdatenfeld: Tfdatenfeld;
  p : ARRAY[1..10] OF INTEGER;

implementation

{$R *.lfm}

{ Tfdatenfeld }

procedure Tfdatenfeld.bdatenfeldClick(Sender: TObject);
VAR i : INTEGER;
begin
  lbdatenfeld.Clear;
  FOR i:=1 TO 10 DO
   BEGIN
    p[i]:= RANDOM(50);
    lbdatenfeld.Items.add(INTTOSTR(p[i]));
   end;
end;

procedure Tfdatenfeld.btauschenClick(Sender: TObject);
VAR i,j,h : INTEGER;
begin
 lb_komponentenliste.Clear;
 i := STRTOINT(e_i.text);
 j := STRTOINT(e_j.text);
 // Tauschen
 h := p[i]; p[i]:=p[j]; p[j]:=h;
end;

procedure Tfdatenfeld.b_komponentenlisteClick(Sender: TObject);
VAR i,a,b: Integer;
begin
 lb_komponentenliste.Clear;
 a := STRTOINT(e_a.text);
 b := STRTOINT(e_b.text);
  FOR i:=a TO b DO
   BEGIN
    lb_komponentenliste.Items.add(INTTOSTR(p[i]));
   end;
end;

procedure Tfdatenfeld.b_komp_ausgebenClick(Sender: TObject);
VAR i : INTEGER;
begin
 i := STRTOINT(e_index1.text);
 e_komp_ausgeben.text := INTTOSTR(p[i]);
end;

procedure Tfdatenfeld.FormCreate(Sender: TObject);
begin
  RANDOMIZE;
end;

end.

